// Superceded. Use DecisionNetwork.java

package ve;

import java.util.*;

/**
 * A BeliefNetwork contains a tuple of Variables (each with a domain)
 * and a set of conditional probability tables, here represented as a
 * {@link FactorCPT}.

 * @author David Poole
 * @version 0.1 2001-01-29
 **/
public class BeliefNetwork extends DecisionNetworkFromCIspaceFormat {
    /**
     * constructs a belief network from the extended CIspace
     * representation.  The extended representation lets us have
     * indexes or names as the parents. It assumes that the names are
     * not numbers (otherwise it assumes they are the indexes).
     *
     * @param s string representation of the belief network
     * @param maxVariables the maximum number of variables allowed 
     **/
    public BeliefNetwork(String s,int maxVariables){
	super(s,maxVariables);
    }

    /**
     * constructs a belief network for the corresponding variables
     **/
    public BeliefNetwork(Variable[] vars, int numVars) {
	super(vars,numVars);
    }

}


